Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 228167 - multi-lib conflicts
Summary: multi-lib conflicts
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnustep-make
Version: rawhide
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Axel Thimm
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE7Target
TreeView+ depends on / blocked
 
Reported: 2007-02-10 23:16 UTC by Michael Schwendt
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: does not apply
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-20 22:05:20 UTC


Attachments (Terms of Use)

Description Michael Schwendt 2007-02-10 23:16:00 UTC
gnustep-make - 1.12.0-5.fc6.x86_64
  Conflicts: 3
  File conflict in:
     /usr/share/gnustep/makefiles/GNUstep.sh
     /usr/share/gnustep/makefiles/GNUstep.csh
     /usr/libexec/gnustep/which_lib
  Packages with the same files:
     gnustep-make - 1.12.0-5.fc6.i386

Comment 1 Axel Thimm 2007-02-15 15:32:13 UTC
How does one exclude this package from multi-libing?

Comment 2 Axel Thimm 2007-02-15 15:32:46 UTC
How does one exclude this package from multi-libing?

Comment 3 Michael Schwendt 2007-02-20 12:47:36 UTC
We have a multi-lib black-list (and white-list) in the pushscript
config file.

As libFoundation-devel i386 requires gnustep-make I've put gnustep-make
onto the black-list. The x86_64 package should suffice unless Yum
insists on looking for an i386 gnustep-make.

[The Fedora multi-lib strategy is not known yet. And the Core
multi-lib lists are not public either. E.g many i386 main
packages (apps, tools) are available in the x86_64 repo.]

Comment 4 Axel Thimm 2007-02-20 20:07:34 UTC
Thanks!

Just for future reference, is there a way (CVS?) to check the contents of the
blacklists/whitelists for multilib?


Comment 5 Michael Schwendt 2007-02-20 20:44:17 UTC
http://cvs.fedora.redhat.com/viewcvs/extras-buildsys/utils/pushscript/Config_Extras.py?root=fedora
... until Luke Macken's new updates system will be used.


Comment 6 Axel Thimm 2007-02-20 22:05:20 UTC
Thanks for the URL.

Closing as fixed, and while this is CURRENTRELEASE, the fix was not by a new
package and new EVR, but by package-external steps, so the version does not apply.


Note You need to log in before you can comment on or make changes to this bug.